### Method

# Ggit Ref resolve

#### Declaration [src]

    GgitRef*
    ggit_ref_resolve (
      GgitRef* ref
      GError** error
    )

#### Description [src]

Resolves a symbolic reference.

This method iteratively peels a symbolic reference until it resolves to a direct reference to an OID.

If a direct reference is passed as an argument, that reference is returned immediately.

#### Return value

Type: `GgitRef`

The resolved reference to the peeled one or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.